Bug 27882 - Classic installer partitioner on low resolution out of screen = inoperable!
Summary: Classic installer partitioner on low resolution out of screen = inoperable!
Status: ASSIGNED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Installer (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: release_blocker critical
Target Milestone: ---
Assignee: Martin Whitaker
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-20 01:06 CET by Morgan Leijström
Modified: 2020-12-22 23:07 CET (History)
2 users (show)

See Also:
Source RPM: drakxtools, installer stage 2
CVE:
Status comment: fixed in git


Attachments
Selected USB, diskdrake buttons off screen (48.03 KB, image/jpeg)
2020-12-20 01:06 CET, Morgan Leijström
Details
created partition, diskdrake buttons off screen (49.23 KB, image/jpeg)
2020-12-20 01:09 CET, Morgan Leijström
Details

Description Morgan Leijström 2020-12-20 01:06:50 CET
Created attachment 12121 [details]
Selected USB, diskdrake buttons off screen

Booted Mageia-8-beta2-i586.iso dumped to USB stick on my Thinkpad T43, attempting to install to another USB stick.

I select custom partitioning, and click the target: Bang, and diskdrake right part - where the buttons are - goes beyond screen.

I guess that is trigged by that USB have a nastily long name - maybe an effect of it having a Live before, and then reformatted FAT32 by Isodumper.

But regardless of why Name is weird, diskdrake should never grow off screen!
Comment 1 Morgan Leijström 2020-12-20 01:09:06 CET
Created attachment 12122 [details]
created partition, diskdrake buttons off screen

Another attempt: Here I instead selected the spinning disk, and started making partitions. After I made the encrypted partition, diskdrake extended off screen.
Comment 2 Morgan Leijström 2020-12-20 21:58:38 CET
Same problem on booted system: diskdrake becomes wider than screen on i.e viewing same USB stick, but there it can be moved around so buttons are reachable.
Comment 3 Morgan Leijström 2020-12-21 19:01:40 CET
What is that long name anyway, what is it really diskdrake displays?  

https://bugs.mageia.org/show_bug.cgi?id=27744#c11
Comment 4 Martin Whitaker 2020-12-21 22:49:30 CET
The long name should be the serial number of your USB stick. If you run dmesg after plugging the stick in, you should see the same thing, e.g. I just got

[ 2323.156084] usb 2-3: new high-speed USB device number 3 using xhci_hcd
[ 2323.287333] usb 2-3: New USB device found, idVendor=26bd, idProduct=9917, bcdDevice= 1.00
[ 2323.287338] usb 2-3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 2323.287341] usb 2-3: Product: USB DISK 2.0
[ 2323.287343] usb 2-3: Manufacturer:         
[ 2323.287345] usb 2-3: SerialNumber: 0701353D30B2A622

and diskdrake shows

Device: sdb
Size: 3.6GB
Name: 0701353D30B2A622

But yours does seem absurdly long.

For your second screenshot, that's an old problem that keeps recurring - see bug 20360 for some history. Changing the default resolution from 800x600 to 1024x768 helped. The only cure is to reduce the length of the Swedish translations (or use a language that has shorter words :-) )

CC: (none) => mageia

Comment 5 Morgan Leijström 2020-12-22 01:55:48 CET
Will try to remember checking name using dmesg


> The only cure is to reduce the length of the Swedish translations

? I can not see anywhere a text that need that width. If it did, it should be truncated, compressed, smaller, wrapped, whatever.. respecting an unprotected arbitrary text length (if it was so) more than input control position is just wrong.


Second attachement: diskdrake grew outside screen when that encrypted partition popped up. Note there is no (displayed) text change involved. Before i created the encrypted partition the width of diskdrake was smaller than screen.
Comment 6 Martin Whitaker 2020-12-22 16:43:29 CET
I managed to reproduce your second issue. It looks like after diskdrake formats the encrypted partition, it redraws all the device tabs, not just the visible one, and an overly long line in another tab triggers the window expansion.

I've (hopefully) fixed this by limiting the length of all the lines that are displayed in the info pane. This was already done when displaying partition info, but not when display the base device info.

To be verified with the next ISO build.

Status comment: (none) => fixed in git
Assignee: mageiatools => mageia
Status: NEW => ASSIGNED

Comment 7 Morgan Leijström 2020-12-22 17:03:04 CET
Great :)
Comment 8 Dave Hodgins 2020-12-22 23:07:34 CET
(In reply to Martin Whitaker from comment #4)
> The long name should be the serial number of your USB stick. If you run
> dmesg after plugging the stick in, you should see the same thing, e.g. I
> just got

Confirming the problem with serial number length with one of my usb sticks ...
  idVendor           0x0781 SanDisk Corp.
  idProduct          0x5591 Ultra Flair
  bcdDevice            1.00
  iManufacturer           1 SanDisk
  iProduct                2 Ultra USB 3.0
  iSerial                 3 0101825c8084be658ada8b256f1be84d3be93e2d94ee5304b5b9db17a919959bc59f00000000000000000000b1d8ad32008f6e00915581075f283eca

120 bytes of serial number for the device.

CC: (none) => davidwhodgins


Note You need to log in before you can comment on or make changes to this bug.